Tiger - Java 2

Dieses Thema im Forum "Mac OS" wurde erstellt von cilly, 29.04.2005.

  1. cilly

    cilly Thread Starter

  2. djmorris666

    djmorris666 MacUser Mitglied

    Mitglied seit:
    17.01.2005
    Beiträge:
    992
    Zustimmungen:
    2
    Hab es gerade installiert. Die neue Version muss allerdings nach der Installation erst unter "Dienstprogramm" "Java" in der neuen Java-Utility angewählt werden, sonst wird die alte Version weitergenutzt.

    ciao
     
  3. weinford

    weinford MacUser Mitglied

    Mitglied seit:
    24.01.2004
    Beiträge:
    386
    Zustimmungen:
    0
    Ah, Du meinst Java 5 alias 1.5? Cool, wusste noch gar nicht, dass es das gibt. Sobald ich Tiger habe, werde ich es sicher ausprobieren :)
     
  4. TheMagnificent

    TheMagnificent MacUser Mitglied

    Mitglied seit:
    16.11.2004
    Beiträge:
    411
    Zustimmungen:
    0
    Bringt mir das als Ottonormalverbraucher irgendwelche Vorteile?
    Und: Ist das eine beta oder so? Weil die Version Release 1 heißt...

    Gruß

    ::TheMagnificent::
     
  5. cilly

    cilly Thread Starter

    Es ist das erste Release, also keine Beta, sonst würde es auch nicht in Downloads auf Apple erscheinen (siehe obigen Link).

    Vorteile bringt es hauptsächlich bei Applets und Java basierten Programmen, wie z.B. Limewire. Das Java 2 dürfte wesentlich schneller laufen.

    Leider noch immer nicht in Software Update erschienen...
     
  6. Tom_Stern

    Tom_Stern MacUser Mitglied

    Mitglied seit:
    11.06.2004
    Beiträge:
    93
    Zustimmungen:
    0
    Hi,

    ich habe auch Java 1.5 installiert und es gibt im Finder unter Programme/Dienstprogramme/Java/J2SE 5.0 ein Programm namens "Java Preferences".

    Wenn ich dort im Bereich unter Applets bei "Folgende Version verwenden" Java 1.5 eintrage und im Firefox-Browser (1.4) die installierten Plugins anzeigen lasse, dann ist die höchste Versionsnummer bei den Java-Plugins aber immer noch 1.3.1

    Wenn ich im Bereich unter "Laufzeiteinstellungen der Java-Proggramme" J2SE 5.0 an oberste Stelle setze und im Terminal java -version aufrufe, meldet er

    java version "1.4.2_07"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_07-215)
    Java HotSpot(TM) Client VM (build 1.4.2-50, mixed mode)

    Weiß jemand, warum unter den Plugins und für Java-Applikationen immer noch eine ältere JVM benutzt wird, obwohl Java 1.5 installiert ist?

    Danke und Gruß

    Tom
     
  7. oglimmer

    oglimmer MacUser Mitglied

    Mitglied seit:
    16.11.2004
    Beiträge:
    1.159
    Zustimmungen:
    92
    Ich habe es auch schon installiert und es ist wohl so, dass man zwar Java 1.5 installiert hat, aber Java 1.4.2 ist noch als "Default" JRE gesetzt.
     
  8. Tom_Stern

    Tom_Stern MacUser Mitglied

    Mitglied seit:
    11.06.2004
    Beiträge:
    93
    Zustimmungen:
    0
    Ja, das mag sein, aber wo kann man denn diese Default-Einstellung ändern?

    Gruß

    Tom
     
  9. oneOeight

    oneOeight MacUser Mitglied

    Mitglied seit:
    23.11.2004
    Beiträge:
    48.692
    Zustimmungen:
    4.040
    terminal java ungleich application/plugin java...
     
  10. Tom_Stern

    Tom_Stern MacUser Mitglied

    Mitglied seit:
    11.06.2004
    Beiträge:
    93
    Zustimmungen:
    0
    Das ist mir bekannt. Wo ist jetzt der Lösungsansatz? Der Befehl "java -version" liefert die Version der Standard-JVM im System. Die möchte ich auf 1.5 setzen, da die JVM 1.5 auch im System intalliert ist.

    Tom